//
//  INAPPCardData.h
//  InAppSdk
//
//  Created by atos on 22/10/2020.
//  Copyright © 2020 Atos Worldline. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface INAPPCardData : NSObject

@property (copy, nonatomic, nullable) NSString * cardScheme;
@property (copy, nonatomic, nullable) NSString * cardBrand;
@property (copy, nonatomic, nullable) NSString * cardProductCode;
@property (copy, nonatomic, nullable) NSString * cardProductName;
@property (copy, nonatomic, nullable) NSString * cardCorporateIndicator;
@property (copy, nonatomic, nullable) NSString * cardEffectiveDateIndicator;
@property (copy, nonatomic, nullable) NSString * cardSeqNumberIndicator;
@property (copy, nonatomic, nullable) NSString * issuerCode;
@property (copy, nonatomic, nullable) NSString * issuerName;
@property (copy, nonatomic, nullable) NSString * issuerCountryCode;
@property (copy, nonatomic, nullable) NSString * issuerRegionCode;
@property (copy, nonatomic, nullable) NSNumber * panLengthMin;
@property (copy, nonatomic, nullable) NSNumber * panLengthMax;
@property (copy, nonatomic, nullable) NSString * panCheckAlgorithm;
@property (copy, nonatomic, nullable) NSString * cardProductProfile;
@property (copy, nonatomic, nullable) NSString * cardProductUsageLabel;


- (id _Nullable ) initWithDictionnary: (NSDictionary *_Nullable) dictionnary;

@end
