//
//  INAPPOrderResponse.h
//  InAppSdk
//
//  Created by Compte Atos on 29/04/2015.
//  Copyright (c) 2015 Worldline. All rights reserved.
//

#import "INAPPPaymentResponse.h"
#import "INAPPS10TransactionReference.h"
#import "INAPPCardData.h"

@interface INAPPOrderResponse : INAPPPaymentResponse

@property (copy, nonatomic, nullable) NSString * acquirerResponseCode;
@property (copy, nonatomic, nullable) NSString * amount;
@property (copy, nonatomic, nullable) NSString * authorisationId;
@property (copy, nonatomic, nullable) NSString * captureDay;
@property (copy, nonatomic, nullable) NSString * captureMode;
@property (copy, nonatomic, nullable) NSString * cardExpiryDate;
@property (copy, nonatomic, nullable) NSString * currencyCode;
@property (copy, nonatomic, nullable) NSString * customerId;
@property (copy, nonatomic, nullable) NSString * errorFieldName;
@property (copy, nonatomic, nullable) NSString * inAppResponseCode;
@property (copy, nonatomic, nullable) NSString * invoiceReference;
@property (copy, nonatomic, nullable) NSString * maskedPan;
@property (copy, nonatomic, nullable) NSString * merchantId;
@property (copy, nonatomic, nullable) NSString * merchantWalletId;
@property (copy, nonatomic, nullable) NSString * orderChannel;
@property (copy, nonatomic, nullable) NSString * orderId;
@property (copy, nonatomic, nullable) NSString * panEntryMode;
@property (copy, nonatomic, nullable) NSString * paymentMeanBrand;
@property (copy, nonatomic, nullable) NSString * paymentMeanBrandSelectionStatus;
@property (copy, nonatomic, nullable) NSString * paymentMeanType;
@property (copy, nonatomic, nullable) NSString * paymentPattern;
@property (copy, nonatomic, nullable) NSString * returnContext;
@property (copy, nonatomic, nullable) NSString * statementReference;
@property (copy, nonatomic, nullable) NSString * transactionOrigin;
@property (copy, nonatomic, nullable) NSString * transactionDateTime;
@property (copy, nonatomic, nullable) NSString * transactionReference;
@property (copy, nonatomic, nullable) NSString * issuerWalletInformation;
@property (copy, nonatomic, nullable) NSString * walletType;
@property (strong, nonatomic, nullable) INAPPS10TransactionReference * s10TransactionReference;
@property (strong, nonatomic, nullable) INAPPCardData * cardData;
@property (copy, nonatomic, nullable) NSString * authorMessageReference;
@property (copy, nonatomic, nullable) NSString * authorisationTypeLabel;
@property (copy, nonatomic, nullable) NSString * holderAuthentRelegationCode;
@property (copy, nonatomic, nullable) NSString * holderAuthentStatus;
@property (copy, nonatomic, nullable) NSString * holderAuthentType;
@property (copy, nonatomic, nullable) NSString * holderAuthentResponseCode;
@property (copy, nonatomic, nullable) NSString * holderAuthentProgram;
@property (copy, nonatomic, nullable) NSString * holderAuthentMethod;
@property (copy, nonatomic, nullable) NSString * guaranteeLimitDateTime;
@property (copy, nonatomic, nullable) NSString * guaranteeIndicator;
@property (copy, nonatomic, nullable) NSString * authentExemptionReasonList;


@end
